PKG-WHICH(8)

NAME
pkg which - display which package installed a specific file

SYNOPSIS
pkg which [-gopqm] file

pkg which [--{glob,origin,path-search,quiet,show-match}] file

DESCRIPTION
pkg which is used for displaying the package that installed file

OPTIONS
The following options are supported by pkg which:

-g, --glob
    Treat <file> as a glob pattern.

-m, --show-match
    Show files that matched the glob pattern (requires --glob)

-o, --origin
    Show the origin of the package instead of name-version.

-p, --path-search
    Search for the filename in PATH.

-q, --quiet
    Be quiet.

ENVIRONMENT
The following environment variables affect the execution of pkg which. See pkg.conf(5) for further description.

PKG_DBDIR

PATH

FILES
See pkg.conf(5).

SEE ALSO
pkg_printf(3), pkg_repos(3), pkg-repository(5), pkg.conf(5), pkg(8), pkg-add(8), pkg-alias(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-config(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-ssh(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8)